For the complete documentation index, see llms.txt. This page is also available as Markdown.

Відображення розбивки ціни для ендпойнтів калькуляції вартості доставки

Загальна інформація

Назва методу

Shipment calculation

HTTP Метод

POST

Роути

/v.1.0/shipments/calculations + /mobileapp/v.1.1/shipments/calculations /ui/v.1.0/shipments/calculations /ui/site/v.1.0/shipments/calculations

Тип зміни

existing endpoint update

Опис

Для кінцевих точок розрахунку відвантаження

  1. client APIPOST /v.1.0/shipments/calculations,

  2. mobile app and framesPOST /mobileapp/v.1.1/shipments/calculations, POST /ui/v.1.0/shipments/calculations, POST /ui/site/v.1.0/shipments/calculations, Логіку розширено, щоб забезпечити повний розподіл вартості доставки за допомогою методу розрахунку. Система також відобразить загальну суму вартості та тип доставки у відповіді.

Request example (API GW): standard calculation request (https://api.novapost.com/developers/index.html#post-/shipments/calculations)

Response example (API GW):

{ "sender": { "countryCode": "UA", "settlementId": "8d5a980d-391c-11dd-90d9-001a92567626", "divisionId": "f3c1a7e2-4b12-11ee-bd3e-005056b24375" }, "recipient": { "countryCode": "US", "settlementId": null, "divisionId": null }, "services": [ { "deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036", "deliveryTypeName": "economy" "price": 520, "discount": 0, "cost": 520, -------------> ЗАГАЛЬНА ВАРТІСТЬ "items": [ { "shipmentId": null, "shipmentParcelRowNumber": 1, "serviceId": "11111111-dcd7-11e8-ad0d-005056b24375", "serviceType": "Additional", "serviceName": "Коробка (5 кг) з наповнювачем", "serviceCode": "BOX5", "amount": 1, "contractNumber": null, "payerType": "ThirdPerson", "paymentStatus": "NeedPay", "divisionId": "f3c1a7e2-4b12-11ee-bd3e-005056b24375", "price": 50, "discount": 0, "cost": 50, -------------> РОЗБИВКА ВАРТОСТІ "user": "system", "shipmentLockVersion": null, "additionalParameters": null, "currencyCode": "UAH", "createdAt": "2026-02-17T14:16:48.567666Z", "updatedAt": "2026-02-17T14:16:48.567666Z", "deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036", "deliveryTypeName": "economy" }, { "shipmentId": null, "shipmentParcelRowNumber": 1, "serviceId": "22222222-dcd7-11e8-ad0d-005056b24375", "serviceType": "Insurance", "serviceName": "Страхування відправлення (до 10 000 грн)", "serviceCode": "INS10", "amount": 1, "contractNumber": null, "payerType": "ThirdPerson", "paymentStatus": "NeedPay", "divisionId": null, "price": 470, "discount": 0, "cost": 470, -------------> РОЗБИВКА ВАРТОСТІ "user": "system", "shipmentLockVersion": null, "additionalParameters": { "insuredAmount": 10000 }, "currencyCode": "UAH", "createdAt": "2026-02-17T14:16:48.567666Z", "updatedAt": "2026-02-17T14:16:48.567666Z", "deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036", "deliveryTypeName": "economy" } ] } ]